#made by Miguel Rodrigues @ KBZ miguel.rodrigues@knowledgebiz.pt

version: '3'
services:
    neenabler:
        build: .
        ports:
            - "5919:5000"
        depends_on:
            - mysqlservice
        env_file: data.env
    mysqlservice:
        image: mysql:5.7
        restart: always
        environment:
            MYSQL_DATABASE: notifications
            MYSQL_USER: mrodrigues
            MYSQL_PASSWORD: rodriguesm
            MYSQL_ROOT_PASSWORD: root
            MYSQL_ALLOW_EMPTY_PASSWORD: "no"
        volumes:
            - ./dbdata:/var/lib/mysql
            - ./DB:/docker-entrypoint-initdb.d

#version: '3'
#services:
#    neenabler:
#        container_name: notificationenabler
#        links:
#            - mysqlservice
#        build: .
#        ports:
#            - "5000:5000"
#        depends_on:
#            - mysqlservice
#        env_file: data.env
#    mysqlservice:
#        container_name: "mysqlservice"
#        image: mysql:5.7
#        ports:
#            - "3306:3306"
#        restart: always
#        environment:
#            MYSQL_DATABASE: notifications
#            MYSQL_USER: mrodrigues
#            MYSQL_PASSWORD: rodriguesm
#            MYSQL_ROOT_PASSWORD: root
#            MYSQL_ALLOW_EMPTY_PASSWORD: "no"
#        volumes:
#            - ./dbdata:/var/lib/mysql
#            - ./DB:/docker-entrypoint-initdb.d
#